Anonymous Login
2019-04-25 09:05 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000785v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:46
Reportertanveer 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4 
Summary0000785: Project Report Printing
DescriptionI am printing project report form Project Designer, by clicking the printer icon another screen is opened showing the project report along with the Gantt chart but for one user i am facing error messages on the page.

Project Report
Details

ERROR: C:\xampp\htdocs\web2project\classes\w2p\Database\Query.class.php(1116) : query failed(SELECT projects.project_id, project_color_identifier, project_name,SUM(task_duration * task_percent_complete * IF(task_duration_type = 24, 8.0, task_duration_type)) / SUM(task_duration * IF(task_duration_type = 24, 8.0, task_duration_type)) AS project_percent_complete,company_name,projects.project_id, COUNT(t1.task_id) as total_tasks FROM ((`projects` AS projects)) LEFT JOIN `tasks` AS t1 ON projects.project_id = t1.task_project LEFT JOIN `companies` AS c ON company_id = project_company LEFT JOIN `project_departments` AS project_departments ON projects.project_id = project_departments.project_id OR project_departments.project_id IS NULL LEFT JOIN `departments` AS departments ON departments.dept_id = project_departments.department_id OR dept_id IS NULL WHERE t1.task_id = t1.task_parent AND projects.project_id=14 AND project_id NOT IN (1) GROUP BY projects.project_id) - error was: Column 'project_id' in where clause is ambiguous
Backtrace:
0 C:\xampp\htdocs\web2project\classes\w2p\Database\Query.class.php:1116 dprint()
1 C:\xampp\htdocs\web2project\modules\projectdesigner\vw_projecttask.php:132 exec()
2 C:\xampp\htdocs\web2project\modules\projectdesigner\printproject.php:230 require()
3 C:\xampp\htdocs\web2project\index.php:361 require()
Column 'project_id' in where clause is ambiguous

ERROR: C:\xampp\htdocs\web2project\classes\w2p\Database\Query.class.php(1116) : query failed(SELECT projects.project_id, project_color_identifier, project_name,SUM(task_duration * task_percent_complete * IF(task_duration_type = 24, 8.0, task_duration_type)) / SUM(task_duration * IF(task_duration_type = 24, 8.0, task_duration_type)) AS project_percent_complete,company_name,projects.project_id, COUNT(t1.task_id) as total_tasks FROM ((`projects` AS projects)) LEFT JOIN `tasks` AS t1 ON projects.project_id = t1.task_project LEFT JOIN `companies` AS c ON company_id = project_company LEFT JOIN `project_departments` AS project_departments ON projects.project_id = project_departments.project_id OR project_departments.project_id IS NULL LEFT JOIN `departments` AS departments ON departments.dept_id = project_departments.department_id OR dept_id IS NULL WHERE t1.task_id = t1.task_parent AND projects.project_id=14 AND project_id NOT IN (1) GROUP BY projects.project_id) - error was: Column 'project_id' in where clause is ambiguous
Backtrace:
0 C:\xampp\htdocs\web2project\classes\w2p\Database\Query.class.php:1116 dprint()
1 C:\xampp\htdocs\web2project\modules\projectdesigner\vw_projecttask.php:138 exec()
2 C:\xampp\htdocs\web2project\modules\projectdesigner\printproject.php:230 require()
3 C:\xampp\htdocs\web2project\index.php:361 require()
Column 'project_id' in where clause is ambiguous
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001873

caseydk (administrator)

I just resolved this one in r1823-1825;

~0001882

tanveer (reporter)

what is r1823-1825; is it some patch? please guide me how to add this fix to my w2p deployment

~0001883

caseydk (administrator)

Yes, that notation means our SVN repository. You can either download the files from there - https://sourceforge.net/scm/?type=svn&group_id=208735 - or grab a nightly snapshot with the latest changes - http://www.demval.com/ftp/

For the nightly snapshot, you'll want to make sure the number after "revision" is at least 1825.
+Notes

-Issue History
Date Modified Username Field Change
2011-04-21 01:54 tanveer New Issue
2011-04-26 19:37 caseydk Note Added: 0001873
2011-04-26 19:37 caseydk Status new => resolved
2011-04-26 19:37 caseydk Resolution open => fixed
2011-04-26 19:37 caseydk Assigned To => caseydk
2011-04-27 03:40 tanveer Note Added: 0001882
2011-04-27 03:40 tanveer Status resolved => feedback
2011-04-27 03:40 tanveer Resolution fixed => reopened
2011-04-27 05:25 caseydk Note Added: 0001883
2011-04-27 05:25 caseydk Status feedback => resolved
2011-04-27 05:25 caseydk Resolution reopened => fixed
2011-04-29 00:05 caseydk Project v2.3 Release (Closed) => v2.4 Release (Closed)
2011-08-16 23:46 caseydk Status resolved => closed
2011-08-16 23:46 caseydk Fixed in Version => 2.4
+Issue History